Skip to main content
PATCH
/
folders
/
{id}
Update folder
curl --request PATCH \
  --url https://api.linkutm.com/api/v1/folders/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parentId": "<string>"
}
'
{
  "id": "fld_01hx9ab3cd4ef5gh6ij7kl",
  "name": "Q2 Campaigns",
  "parentId": "<string>",
  "workspaceId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT token obtained from /auth/login.

Path Parameters

id
string
required

Folder ID.

Body

application/json
name
string

New folder name.

parentId
string | null

New parent folder ID. Pass null to move to root.

Response

Updated folder

id
string
Example:

"fld_01hx9ab3cd4ef5gh6ij7kl"

name
string
Example:

"Q2 Campaigns"

parentId
string | null
workspaceId
string
createdAt
string<date-time>